package com.chenyang.nse.bussiness.service.console;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.console.TConsoleLog;
import com.chenyang.nse.bussiness.entity.orm.table.core.DgDefineRule;
import com.chenyang.nse.bussiness.entity.vo.MenuResourcesVO;
import java.util.List;
import java.util.Map;

public interface OperationService {
   void add(TConsoleLog record);

   List<TConsoleLog> getTConsoleLogBylogno(String logno);

   MenuResourcesVO queryMenuResourcesByUrl(String url);

   List<TConsoleLog> query(String username, String module, String operationtime);

   List<TConsoleLog> query1(String username, String module, String operationtime, String operationObject);

   void addDefineLog(DgDefineRule record);

   List<Map<String, Object>> queryCategorySensitiveLog(PageInfo pageInfo, String ruletype, String createuser, String projectid);
}
